import { queryOffsetLimitParser } from '../../common/parsers/queryParams';
import { z } from 'zod';
import { userIdParser } from '../../user/parsers';

export const userBooksQueryParser = queryOffsetLimitParser.merge(
  z.object({
    userId: userIdParser.optional(),
    minAmount: z.number().int().optional(),
  })
);
